remove grub, superseded by grub2

Bug #1611740 reported by Matthias Klose on 2016-08-10
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
grub (Ubuntu)
High
Mathieu Trudel-Lapierre
grub-installer (Ubuntu)
High
Mathieu Trudel-Lapierre

Bug Description

remove grub, superseded by grub2; all reverse dependencies are gone, or alternatives starting with grub-pc | [...]

Looks like we only install grub (legacy) if we're about to install grub-pc and "grub-installer/grub2_instead_of_grub_legacy" is preseeded to false, which typically doesn't happen. It's default is true, and we don't set this in ubiquity or d-i.

grub-legacy-ec2 installs some data for EC2 instances that is relevant to grub; we should definitely look at how we'd affect it by removing grub (but I think it's safe there)

The open question that remains is handling upgrades.

On Wed, Aug 10, 2016 at 01:33:34PM -0000, Mathieu Trudel-Lapierre wrote:
> Looks like we only install grub (legacy) if we're about to install grub-
> pc and "grub-installer/grub2_instead_of_grub_legacy" is preseeded to
> false, which typically doesn't happen. It's default is true, and we
> don't set this in ubiquity or d-i.

> grub-legacy-ec2 installs some data for EC2 instances that is relevant to
> grub; we should definitely look at how we'd affect it by removing grub
> (but I think it's safe there)

> The open question that remains is handling upgrades.

grub (0.97-29ubuntu68) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <email address hidden> Sun, 07 Feb 2016 09:41:39 +0000

grub (0.97-29ubuntu67) wily; urgency=medium

  * Port to modern Automake versions and use dh-autoreconf (closes:
    #724383).
  * Build with -fno-combine-stack-adjustments, since that optimisation pass
    confuses the stack games played by GRUB itself (closes: #768135).
  * Stop linking statically on amd64, which was a holdover from a long time
    ago when we couldn't just depend on biarch libraries (closes: #769349).

 -- Colin Watson <email address hidden> Mon, 05 Oct 2015 13:52:39 +0100

grub (0.97-29ubuntu66) precise; urgency=low

<snip>

There have been only two uploads of the grub package since the release of
the oldest supported LTS (4 years ago). It stopped being a default
bootloader longer ago than that. We should be honest with ourselves
that we're never going to take the time to finish automated upgrade support
for grub->grub2 and just drop the package.

We should definitely fix grub-installer to not try to install a non-existent
grub package from the archive, with or without preseed.

I had looked anyway and the "upgrade path" appears appropriate. Installing grub-pc will tell you how to proceed with the upgrade, in which case you can either chainload the new grub or replace things altogether. Seems to me like a go to remove grub.

Adding the grub-installer task to drop the extra preseed option to do grub instead of grub2.

Changed in grub-installer (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub-installer - 1.128ubuntu6

---------------
grub-installer (1.128ubuntu6) yakkety; urgency=medium

  * grub-installer: remove grub/grub-legacy code. We only do variants of grub2.
    (LP: #1611740)

 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 11 Aug 2016 14:07:06 -0400

Changed in grub-installer (Ubuntu):
status: In Progress → Fix Released

grub legacy support is indeed removed from grub-installer now (see above upload comment).

However, grub is apparently still required when building new AMI instances for EC2. I think it probably best not be removed until we can ascertain its use. I've asked the CPC team already.

According to the AWS docs:
http://docs.aws.amazon.com/AWSEC2/latest/UserGuide/create-instance-store-ami.html
grub-legacy is still used to build images. I've used an approximation of that logic to try to make a new AMI, and it looks like things still work without it, except that the status monitoring then fails for the instance.

Changed in grub (Ubuntu):
status: New → Incomplete
importance: Undecided → High
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Steve Langasek (vorlon) wrote :

I have spoken with the Canonical CPC team, and the EC2 AMIs are not built using the grub source package; they only use the grub-legacy-ec2 package (built from cloud-init source) which provides grub1-compatible menu.lst.

Steve Langasek (vorlon) wrote :

Removing packages from zesty:
 grub 0.97-29ubuntu69 in zesty
  grub 0.97-29ubuntu69 in zesty amd64
  grub 0.97-29ubuntu69 in zesty i386
  grub-disk 0.97-29ubuntu69 in zesty amd64
  grub-disk 0.97-29ubuntu69 in zesty arm64
  grub-disk 0.97-29ubuntu69 in zesty armhf
  grub-disk 0.97-29ubuntu69 in zesty i386
  grub-disk 0.97-29ubuntu69 in zesty powerpc
  grub-disk 0.97-29ubuntu69 in zesty ppc64el
  grub-disk 0.97-29ubuntu69 in zesty s390x
  grub-doc 0.97-29ubuntu69 in zesty amd64
  grub-doc 0.97-29ubuntu69 in zesty arm64
  grub-doc 0.97-29ubuntu69 in zesty armhf
  grub-doc 0.97-29ubuntu69 in zesty i386
  grub-doc 0.97-29ubuntu69 in zesty powerpc
  grub-doc 0.97-29ubuntu69 in zesty ppc64el
  grub-doc 0.97-29ubuntu69 in zesty s390x
  grub-legacy-doc 0.97-29ubuntu69 in zesty amd64
  grub-legacy-doc 0.97-29ubuntu69 in zesty arm64
  grub-legacy-doc 0.97-29ubuntu69 in zesty armhf
  grub-legacy-doc 0.97-29ubuntu69 in zesty i386
  grub-legacy-doc 0.97-29ubuntu69 in zesty powerpc
  grub-legacy-doc 0.97-29ubuntu69 in zesty ppc64el
  grub-legacy-doc 0.97-29ubuntu69 in zesty s390x
  multiboot-doc 0.97-29ubuntu69 in zesty amd64
  multiboot-doc 0.97-29ubuntu69 in zesty arm64
  multiboot-doc 0.97-29ubuntu69 in zesty armhf
  multiboot-doc 0.97-29ubuntu69 in zesty i386
  multiboot-doc 0.97-29ubuntu69 in zesty powerpc
  multiboot-doc 0.97-29ubuntu69 in zesty ppc64el
  multiboot-doc 0.97-29ubuntu69 in zesty s390x
Comment: Obsoleted by grub2; LP: #1611740
Remove [y|N]? y
1 package successfully removed.

Changed in grub (Ubuntu):
status: Incomplete → Fix Released
Phillip Susi (psusi) wrote :

Yay! It only took 7 years ;)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers